﻿using Microsoft.Maui.Layouts;

namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        BoxView boxView1 = new BoxView { Color = Colors.Blue };

        AbsoluteLayout.SetLayoutFlags (boxView1, AbsoluteLayoutFlags.PositionProportional);
        AbsoluteLayout.SetLayoutBounds(boxView1, new Rect(0.5, 0, 100, 25));

        BoxView boxView2 = new BoxView { Color = Colors.Green };

        AbsoluteLayout.SetLayoutFlags (boxView2, AbsoluteLayoutFlags.PositionProportional);
        AbsoluteLayout.SetLayoutBounds(boxView2, new Rect(0, 0.5, 25, 100));

        BoxView boxView3 = new BoxView { Color = Colors.Red };

        AbsoluteLayout.SetLayoutFlags (boxView3, AbsoluteLayoutFlags.PositionProportional);
        AbsoluteLayout.SetLayoutBounds(boxView3, new Rect(1, 0.5, 25, 100));

        BoxView boxView4 = new BoxView { Color = Colors.Black };

        AbsoluteLayout.SetLayoutFlags (boxView4, AbsoluteLayoutFlags.PositionProportional);
        AbsoluteLayout.SetLayoutBounds(boxView4, new Rect(0.5, 1, 100, 25));

        Label label = new Label { Text = "Centered text" };

        AbsoluteLayout.SetLayoutFlags (label, AbsoluteLayoutFlags.PositionProportional);
        AbsoluteLayout.SetLayoutBounds(label, new Rect(0.5, 0.5, 110, 25));

        Content = new AbsoluteLayout
        {
            Children =  { boxView1, boxView2, boxView3, boxView4, label }
        };
    }

    #endregion
}